Samva
Samva
DashboardAPISamva DocumentationQuickstart GuideAuthentication

API Reference

Email Management

Conversation Management

Configuration

Create Webhook EndpointGet Webhook EndpointGet Webhook LogsGet Webhook StatsList Webhook EndpointsRegenerate Webhook SecretRemove Webhook EndpointRetry Webhook DeliveryTest Webhook EndpointUpdate Webhook Endpoint

Analytics & Operations

OpenAPI Specification
API ReferenceWebhooks

Regenerate Webhook Secret

POST
/webhook-endpoints/:webhookId/regenerate-secret

Authorization

apiKey
X-API-Key<token>

API key for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://samva.app/api/v1/webhook-endpoints/:webhookId/regenerate-secret" \  -H "Content-Type: application/json" \  -d '{    "webhookId": "ed71eef4-4c34-46dc-81fe-954e560454fd"  }'
{
  "newSecret": "string"
}

List Webhook Endpoints

Previous Page

Remove Webhook Endpoint

Next Page

webhookId*string

Webhook endpoint ID

Formatuuid